Bug 267783 - NPE in FSSTransport.delete(FSSTransport.java:589) in tests
NPE in FSSTransport.delete(FSSTransport.java:589) in tests
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.2
All All
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-30 12:38 UTC by Vladimir Kvashin
Modified: 2016-09-04 01:57 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-08-30 12:38:43 UTC
junit.framework.AssertionFailedError: java.lang.NullPointerException
    at org.netbeans.modules.remote.impl.fs.server.FSSTransport.delete(FSSTransport.java:589)
    at org.netbeans.modules.remote.impl.fs.RemoteFileSystemTransport.delete(RemoteFileSystemTransport.java:205)
    at org.netbeans.modules.remote.impl.fs.RemoteDirectory.deleteImpl(RemoteDirectory.java:250)
    at org.netbeans.modules.remote.impl.fs.RemoteFileObjectBase.deleteImpl(RemoteFileObjectBase.java:310)
    at org.netbeans.modules.remote.impl.fs.RemoteFileObjectBase.delete(RemoteFileObjectBase.java:285)
    at org.netbeans.modules.remote.impl.fs.RemoteFileObject.delete(RemoteFileObject.java:455)
    at org.openide.filesystems.FileObject.delete(FileObject.java:410)
    at com.sun.ifdefqe.utils.Util.deleteFile(Util.java:537)
    at com.sun.ifdefqe.versioning.RepositoryMaintenance.createRepository(RepositoryMaintenance.java:65)
    at com.sun.ifdefqe.versioning.git.RepositoryMaintenanceGit.createRepository(RepositoryMaintenanceGit.java:41)
    at ide.vcs.git.IgnoreTest.prepareTest(IgnoreTest.java:234)
    at ide.vcs.git.IgnoreTest.testIgnoreFile(IgnoreTest.java:69)
    at org.netbeans.jellytools.JellyTestCase.runTest(JellyTestCase.java:179)
    at com.sun.ifdefqe.IfdefTestCase.runTest(IfdefTestCase.java:530)
    at org.netbeans.junit.NbTestCase.access$200(NbTestCase.java:102)
    at org.netbeans.junit.NbTestCase$2.doSomething(NbTestCase.java:478)
    at org.netbeans.junit.NbTestCase$1Guard.run(NbTestCase.java:404)
    at java.lang.Thread.run(Thread.java:745)



see 
ENUM/hudson/view/IDE-tests/job/ss-test-intel-S2-full_remote/lastCompletedBuild/testReport/ide.vcs.git/IgnoreTest/testIgnoreFile/
Comment 1 Alexander Pepin 2016-09-02 15:01:24 UTC
Please see also http://enum.ru.oracle.com:8080/hudson/view/IDE-tests/job/ss-test-intel-S2-full_remote/1468/testReport/ide.vcs.hg/UpdateTest/testUpdateToRevision

SEVERE [org.openide.util.RequestProcessor]: Error in RequestProcessor org.netbeans.modules.mercurial.remote.ui.commit.CommitAction$5
java.lang.NullPointerException
	at org.netbeans.modules.remote.impl.fs.server.FSSTransport.refreshFast(FSSTransport.java:522)
	at org.netbeans.modules.remote.impl.fs.RemoteFileSystemTransport.refreshFast(RemoteFileSystemTransport.java:113)
	at org.netbeans.modules.remote.impl.fileoperations.spi.RemoteVcsSupportUtil.refreshFor(RemoteVcsSupportUtil.java:418)
	at org.netbeans.modules.remotefs.versioning.impl.RemoteVcsSupportImpl.refreshFor(RemoteVcsSupportImpl.java:481)
	at org.netbeans.modules.remotefs.versioning.api.RemoteVcsSupport.refreshFor(RemoteVcsSupport.java:220)
	at org.netbeans.modules.remotefs.versioning.api.RemoteVcsSupport.refreshFor(RemoteVcsSupport.java:215)
	at org.netbeans.modules.mercurial.remote.util.HgCommand.execEnv(HgCommand.java:4020)
	at org.netbeans.modules.mercurial.remote.util.HgCommand.execEnv(HgCommand.java:3943)
	at org.netbeans.modules.mercurial.remote.util.HgCommand.exec(HgCommand.java:4317)
	at org.netbeans.modules.mercurial.remote.util.HgCommand.doTip(HgCommand.java:1631)
	at org.netbeans.modules.mercurial.remote.ui.commit.CommitAction$Cmd$CommitCmd.doCmd(CommitAction.java:921)
	at org.netbeans.modules.mercurial.remote.ui.commit.CommitAction$Cmd$CommitCmd.handle(CommitAction.java:846)
	at org.netbeans.modules.mercurial.remote.ui.commit.CommitAction.performCommit(CommitAction.java:630)
	at org.netbeans.modules.mercurial.remote.ui.commit.CommitAction.access$200(CommitAction.java:126)
	at org.netbeans.modules.mercurial.remote.ui.commit.CommitAction$5.perform(CommitAction.java:351)
	at org.netbeans.modules.mercurial.remote.HgProgressSupport.performIntern(HgProgressSupport.java:143)
	at org.netbeans.modules.mercurial.remote.HgProgressSupport.run(HgProgressSupport.java:136)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1443)
	at org.netbeans.modules.openide.util.GlobalLookup.execute(GlobalLookup.java:68)
	at org.openide.util.lookup.Lookups.executeWith(Lookups.java:303)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:2058)
Comment 3 Quality Engineering 2016-09-04 01:57:32 UTC
Integrated into 'main-silver', will be available in build *201609040002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/e4933759cc0a
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: minor cleanup before fixing #267783 - NPE in FSSTransport.delete(FSSTransport.java:589) in tests


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo